#!D:\IDE\Anaconda3\envs\Microscope_Scan python
# -*- coding: UTF-8 -*-
"""
 @Author: Administrator
 @FileName: ManagerInterface.py
 @DateTime: 2025/4/8 0:28
 @SoftWare: PyCharm
 @Author  ：xsh
"""
from PyQt5 import Qt
from AppSettings.Settings import RECODE_SUCCEED, RECODE_FAILURE
from AppInterfaces.GlobalInterface import GlobalInterface
from abc import abstractmethod


class ManagerInterface(GlobalInterface):

    def __eq__(self, other):
        return self.isEqual(other)

    def __ne__(self, other):
        return not self.isEqual(other)

    def isEqual(self, other) -> bool:
        return isinstance(other, self.__class__) and id(self) == id(other)

    @abstractmethod
    def isValid(self) -> bool:
        pass

